## com.bbn.openmap.proj.coords
Class MercatorMeterGCT

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.proj.coords.AbstractGCT
                  com.bbn.openmap.proj.coords.MercatorMeterGCT

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, GeoCoordTransformation, LightMapHandlerChild, PropertyConsumer

public class MercatorMeterGCT
extends AbstractGCT
implements GeoCoordTransformation

Convert between mercator meters and lat/lon degrees. http://johndeck.blogspot.com/2005_09_01_johndeck_archive.html http://search.cpan.org/src/RRWO/GPS-Lowrance-0.31/lib/Geo/Coordinates/MercatorMeters.pm

Field Summary
`static MercatorMeterGCT` `INSTANCE`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`MercatorMeterGCT()`

Method Summary
`java.awt.geom.Point2D` `forward(double lat, double lon, java.awt.geom.Point2D ret)`
`LatLonPoint` `inverse(double lon_m, double lat_m, LatLonPoint ret)`

Methods inherited from class com.bbn.openmap.proj.coords.AbstractGCT
`forward, inverse`

Methods inherited from class com.bbn.openmap.OMComponent
`getProperties, getPropertyInfo, getPropertyPrefix, setProperties, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.proj.coords.GeoCoordTransformation
`forward, inverse`

Field Detail

### INSTANCE

    public static final MercatorMeterGCT INSTANCE

Constructor Detail

### MercatorMeterGCT

    public MercatorMeterGCT()

Method Detail

### forward

    public java.awt.geom.Point2D forward(double lat,
                                         double lon,
                                         java.awt.geom.Point2D ret)

  Specified by:
    `forward` in interface `GeoCoordTransformation`
  Specified by:
    `forward` in class `AbstractGCT`

### inverse

    public LatLonPoint inverse(double lon_m,
                               double lat_m,
                               LatLonPoint ret)

  Specified by:
    `inverse` in interface `GeoCoordTransformation`
  Specified by:
    `inverse` in class `AbstractGCT`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details